NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.SpecialFormingBuilder Class Reference

Creates special forming insert builder for progressive die. More...

Inheritance diagram for NXOpen.Tooling.SpecialFormingBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BlockType { BoundedBlock, UserDefined }
 the block type More...
 
enum  ParentValue { PrjDie, PrjDb, PrjSub }
 Specifies the main page type. More...
 
enum  PunchOrDie { Punch, Die }
 Specifies the main page type. More...
 
enum  Types {
  CreateBasicInsert, ExtendCurveAndCreateBox, TrimInsert, ModifyInsert,
  DeleteInsert
}
 Specifies the main page type. More...
 

Public Member Functions

unsafe NXOpen.NXObject AddInsertPartIntoAssembly (NXOpen.NXObject parentPart, string templatePartName, NXOpen.Point3d origin)
 Add insert part into assembly. More...
 
unsafe void AssignAttributeForSketchFeature (NXOpen.NXObject sketchFeatureTag)
 Assign attribute for sketch feature. More...
 
unsafe void AssignClearance ()
 Assign clearance. More...
 
unsafe void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
unsafe void CreateBoundBox ()
 Create bound box. More...
 
unsafe void CreateFormingInsert ()
 Create forming insert More...
 
unsafe void CreateOffsetDatumPlaneForSketch ()
 Create offset datum plane for sketch. More...
 
unsafe void DeleteSelectedInsert ()
 Delete selected insert. More...
 
unsafe void EditBoundBox ()
 Edit bound box. More...
 
unsafe void EditExtrudeCurves ()
 Edit extrude curves. More...
 
unsafe void ExtrudeCurvesToTrueBodyAndFalseBody ()
 Extrude curves to true body and false body. More...
 
unsafe void MoveObjectsToUndisplayableLayer ()
 Move objects to undisplayable layer. More...
 
unsafe void SetBoxMatrixAndPosition (NXOpen.Matrix3x3 matrix, NXOpen.Point3d position)
 Sets box csys matrix. More...
 
unsafe void SetFormingRegion (NXOpen.NXObject[] faces)
 Set forming region. More...
 
unsafe void SewWaveLinkedFaceAndGuidedExtensionSheet ()
 Sew wave linked face and guided extension sheet. More...
 
unsafe void TrimTrueBodyWithSewedSheet ()
 Trim true body with sewed sheet. More...
 
unsafe void WaveFormingRegion ()
 Wave forming region. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.SpecialFormingBuilder.BlockType 
BoundedBlockOrUserDefined [get, set]
 Returns or sets the bounded block or user defined More...
 
unsafe double BoxClearance [get, set]
 Returns or sets the box clearance More...
 
unsafe NXOpen.Point3d BoxPosition [get, set]
 Returns or sets the position of csys for box. More...
 
unsafe NXOpen.Expression EndLimit [get]
 Returns the end limit More...
 
unsafe double FirstClearance [get, set]
 Returns or sets the first clearance More...
 
unsafe
NXOpen.Tooling.SpecialFormingBuilder.PunchOrDie 
InsertType [get, set]
 Returns or sets the insert type More...
 
unsafe bool IsEditGuidedExtension [get, set]
 Returns or sets the is edit guided extension More...
 
unsafe bool NeedFirstClearance [get, set]
 Returns or sets the need first clearance More...
 
unsafe bool NeedSecondClearance [get, set]
 Returns or sets the need second clearance More...
 
unsafe bool NeedThirdClearance [get, set]
 Returns or sets the need third clearance More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeX [get]
 Returns the offset value linear dimension negative x More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeY [get]
 Returns the offset value linear dimension negative y More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeZ [get]
 Returns the offset value linear dimension negative z More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveX [get]
 Returns the offset value linear dimension positive x More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveY [get]
 Returns the offset value linear dimension positive y More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveZ [get]
 Returns the offset value linear dimension positive z More...
 
unsafe
NXOpen.Tooling.SpecialFormingBuilder.ParentValue 
Parent [get, set]
 Returns or sets the parent More...
 
unsafe bool RenameComponent [get, set]
 Returns or sets the rename component More...
 
unsafe double SecondClearance [get, set]
 Returns or sets the second clearance More...
 
unsafe NXOpen.Section SelectCurves [get]
 Returns the select curves More...
 
unsafe NXOpen.ScCollector SelectFace [get]
 Returns the select face More...
 
unsafe NXOpen.SelectBody SelectFormingBlock [get]
 Returns the select forming block More...
 
unsafe NXOpen.SelectNXObjectList SelectInsertToDelete [get]
 Returns the select insert to delete More...
 
unsafe NXOpen.SelectBody SelectSheetBody [get]
 Returns the select sheet body More...
 
unsafe NXOpen.Expression StartLimit [get]
 Returns the start limit More...
 
unsafe double ThirdClearance [get, set]
 Returns or sets the third clearance More...
 
unsafe
NXOpen.Tooling.SpecialFormingBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe bool UseExistingSheetBody [get, set]
 Returns or sets the use existing sheet body More...
 
unsafe bool WithoutFalseBody [get, set]
 Returns or sets the without false body More...
 
unsafe int WizardType [get, set]
 Returns or sets the wizard type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Creates special forming insert builder for progressive die.

No entity is returned.

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateSpecialFormingBuilder

Default values.

Property Value

BoundedBlockOrUserDefined

BoundedBlock

BoxClearance

0

EndLimit.Value

0 (millimeters part), 0 (inches part)

FirstClearance

0

InsertType

Punch

NeedFirstClearance

0

NeedSecondClearance

0

NeedThirdClearance

0

Parent

PrjDie

RenameComponent

0

SecondClearance

0

StartLimit.Value

0 (millimeters part), 0 (inches part)

ThirdClearance

0

UseExistingSheetBody

0

WithoutFalseBody

0

Created in NX11.0.0

Member Enumeration Documentation

the block type

Enumerator
BoundedBlock 
UserDefined 

Specifies the main page type.

Enumerator
PrjDie 
PrjDb 
PrjSub 

Specifies the main page type.

Enumerator
Punch 
Die 

Specifies the main page type.

Enumerator
CreateBasicInsert 
ExtendCurveAndCreateBox 
TrimInsert 
ModifyInsert 
DeleteInsert 

Member Function Documentation

unsafe NXOpen.NXObject NXOpen.Tooling.SpecialFormingBuilder.AddInsertPartIntoAssembly ( NXOpen.NXObject  parentPart,
string  templatePartName,
NXOpen.Point3d  origin 
)
inline

Add insert part into assembly.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPart
templatePartName
origin
Returns
unsafe void NXOpen.Tooling.SpecialFormingBuilder.AssignAttributeForSketchFeature ( NXOpen.NXObject  sketchFeatureTag)
inline

Assign attribute for sketch feature.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sketchFeatureTag
unsafe void NXOpen.Tooling.SpecialFormingBuilder.AssignClearance ( )
inline

Assign clearance.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.CalculateBoxSize ( )
inline

Calculate box size and set directions, edge length, lower point position.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.CreateBoundBox ( )
inline

Create bound box.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.CreateFormingInsert ( )
inline

Create forming insert

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.CreateOffsetDatumPlaneForSketch ( )
inline

Create offset datum plane for sketch.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.DeleteSelectedInsert ( )
inline

Delete selected insert.

Created in NX12.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.EditBoundBox ( )
inline

Edit bound box.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.EditExtrudeCurves ( )
inline

Edit extrude curves.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.ExtrudeCurvesToTrueBodyAndFalseBody ( )
inline

Extrude curves to true body and false body.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.MoveObjectsToUndisplayableLayer ( )
inline

Move objects to undisplayable layer.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.SetBoxMatrixAndPosition ( NXOpen.Matrix3x3  matrix,
NXOpen.Point3d  position 
)
inline

Sets box csys matrix.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrix
position
unsafe void NXOpen.Tooling.SpecialFormingBuilder.SetFormingRegion ( NXOpen.NXObject[]  faces)
inline

Set forming region.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
faces
unsafe void NXOpen.Tooling.SpecialFormingBuilder.SewWaveLinkedFaceAndGuidedExtensionSheet ( )
inline

Sew wave linked face and guided extension sheet.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.TrimTrueBodyWithSewedSheet ( )
inline

Trim true body with sewed sheet.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialFormingBuilder.WaveFormingRegion ( )
inline

Wave forming region.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.Tooling.SpecialFormingBuilder.BlockType NXOpen.Tooling.SpecialFormingBuilder.BoundedBlockOrUserDefined
getset

Returns or sets the bounded block or user defined

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.SpecialFormingBuilder.BoxClearance
getset

Returns or sets the box clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point3d NXOpen.Tooling.SpecialFormingBuilder.BoxPosition
getset

Returns or sets the position of csys for box.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.EndLimit
get

Returns the end limit

Created in NX11.0.0

License requirements: None.

unsafe double NXOpen.Tooling.SpecialFormingBuilder.FirstClearance
getset

Returns or sets the first clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.SpecialFormingBuilder.PunchOrDie NXOpen.Tooling.SpecialFormingBuilder.InsertType
getset

Returns or sets the insert type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.IsEditGuidedExtension
getset

Returns or sets the is edit guided extension

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.NeedFirstClearance
getset

Returns or sets the need first clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.NeedSecondClearance
getset

Returns or sets the need second clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.NeedThirdClearance
getset

Returns or sets the need third clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.OffsetValueLinearDimensionNegativeX
get

Returns the offset value linear dimension negative x

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.OffsetValueLinearDimensionNegativeY
get

Returns the offset value linear dimension negative y

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.OffsetValueLinearDimensionNegativeZ
get

Returns the offset value linear dimension negative z

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.OffsetValueLinearDimensionPositiveX
get

Returns the offset value linear dimension positive x

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.OffsetValueLinearDimensionPositiveY
get

Returns the offset value linear dimension positive y

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.OffsetValueLinearDimensionPositiveZ
get

Returns the offset value linear dimension positive z

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.SpecialFormingBuilder.ParentValue NXOpen.Tooling.SpecialFormingBuilder.Parent
getset

Returns or sets the parent

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.RenameComponent
getset

Returns or sets the rename component

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.SpecialFormingBuilder.SecondClearance
getset

Returns or sets the second clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.SpecialFormingBuilder.SelectCurves
get

Returns the select curves

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.SpecialFormingBuilder.SelectFace
get

Returns the select face

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.SpecialFormingBuilder.SelectFormingBlock
get

Returns the select forming block

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.SpecialFormingBuilder.SelectInsertToDelete
get

Returns the select insert to delete

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.SpecialFormingBuilder.SelectSheetBody
get

Returns the select sheet body

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialFormingBuilder.StartLimit
get

Returns the start limit

Created in NX11.0.0

License requirements: None.

unsafe double NXOpen.Tooling.SpecialFormingBuilder.ThirdClearance
getset

Returns or sets the third clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.SpecialFormingBuilder.Types NXOpen.Tooling.SpecialFormingBuilder.Type
getset

Returns or sets the type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.UseExistingSheetBody
getset

Returns or sets the use existing sheet body

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialFormingBuilder.WithoutFalseBody
getset

Returns or sets the without false body

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.SpecialFormingBuilder.WizardType
getset

Returns or sets the wizard type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.